%define doc_dir %_defaultdocdir/%name-%version

Name: lame
Version: 3.98
Release: alt2
Summary: LAME Ain't an Mp3 Encoder
License: LGPL
Group: Sound
URL: http://%name.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: lib%name = %version-%release
Conflicts: %name-hydrogen

Source: http://prdownloads.sourceforge.net/lame/%name-398.tar.gz
Patch1: lame-3.92-alt-terminfo.patch
Patch2: lame-3.94b-alt-global_flags.patch
Patch3: lame-3.98-alt-nogtk.patch

# Automatically added by buildreq on Mon May 29 2006
BuildRequires: gcc-c++ libsndfile-devel libtinfo-devel time

%description
Lame is a program which can be used to create compressed audio files.
These audio files can be played back by popular mp3 players such as mpg123.

%description -l ru_RU.UTF-8
LAME - программа для создания mp3-файлов. Для их воспроизведения можно
воспользоваться такими плейерами как xmms, mpg123, madplay.

%package -n lib%name
Summary: LAME shared library
Group: System/Libraries
Conflicts: lib%name-hydrogen

%description -n lib%name
This package contains shared library required by %name-based software.

%description -n lib%name -l ru_RU.UTF-8
В этом пакете находится динамическая библиотека LAME.

%package -n lib%name-devel
Summary: LAME development file
Group: Development/C
Requires: lib%name = %version-%release
Conflicts: lib%name-hydrogen-devel

%description -n lib%name-devel
This package contains header files required to develop
%name-based software.

%description -n lib%name-devel -l ru_RU.UTF-8
В этом пакете находятся файлы, необходимые для разработки приложений,
использующих LAME.

%prep
%setup -q -n %name-398

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%autoreconf
%configure \
	--without-nasm \
	--disable-static

subst 's,^\(hardcode_libdir_flag_spec=\).*,\1"",' libtool

%make_build

%install
%make DESTDIR=%buildroot install
mkdir -p %buildroot%_docdir/%name-%version/{html,devel}
install -m644 API HACKING STYLEGUIDE TODO %buildroot%_docdir/%name-%version/devel
install -m644 doc/html/*.{html,css} %buildroot%_docdir/%name-%version/html
install -m644 LICENSE USAGE %buildroot%_docdir/%name-%version

%files
%exclude %_docdir/%name
%doc %doc_dir/USAGE
%dir %doc_dir/html
%doc %doc_dir/html/*
%_bindir/*
%_man1dir/*

%files -n lib%name
%dir %doc_dir
%doc %doc_dir/LICENSE
%_libdir/*.so.*

%files -n lib%name-devel
%dir %doc_dir/devel
%doc %doc_dir/devel/*
%_includedir/*
%_libdir/*.so

%changelog
* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.98-alt2
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Fri Jul 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.98-alt1
- 3.98

* Wed Apr 18 2007 ALT QA Team Robot <qa-robot@altlinux.org> 3.97-alt1.0
- Automated rebuild.

* Mon May 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.97-alt1
- rebuild with gcc4.1
- disable devel-static

* Mon Oct 31 2005 Andrey Astafiev <andrei@altlinux.ru> 3.97-alt0.1
- 3.97 beta.

* Sun Jun 19 2005 Andrey Astafiev <andrei@altlinux.ru> 3.96.1-alt2
- Added -lm flag. 

* Thu Aug 05 2004 Andrey Astafiev <andrei@altlinux.ru> 3.96.1-alt1.1
- Fixed build in hasher.

* Tue Aug 03 2004 Andrey Astafiev <andrei@altlinux.ru> 3.96.1-alt1
- 3.96.1

* Thu Dec 11 2003 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt4
- *.la files removed.
- Set textrel=relaxed for now.

* Wed Nov 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt3
- Added %optflags_shared macros.

* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt2
- Requires libtool_1.4 for building.

* Mon Dec 02 2002 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt1
- 3.93.1

* Mon Nov 25 2002 Andrey Astafiev <andrei@altlinux.ru> 3.93-alt1
- 3.93

* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.92-alt3
- Rebuild

* Thu Jul 18 2002 Andrey Astafiev <andrei@altlinux.ru> 3.92-alt2
- Patched configure.in to link with libtinfo.

* Mon Apr 29 2002 Andrey Astafiev <andrei@altlinux.ru> 3.92-alt1
- 3.92

* Mon Dec 31 2001 Andrey Astafiev <andrei@altlinux.ru> 3.91-alt1
- 3.91

* Mon Dec 24 2001 Stanislav Ievlev <inger@altlinux.ru> 3.90.1-alt2
- fixed build under new nasm

* Sun Dec 23 2001 Andrey Astafiev <andrei@altlinux.ru> 3.90.1-alt1
- 3.90.1
- Relocated documentation.

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.89-alt3
- Fixed some bugs by use 2.95.3 gcc compiler

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.89-alt2
- Added lame_global_flags.h header required for some programs.

* Thu Aug 23 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.89-alt1
- 3.89
- Added devel-static package.

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 3.87-ipl1
- 3.87
- Split into three subpackages.
- Added vorbis support.

* Sat May 06 2000 Dmitry V. Levin <ldv@fandra.org>
- Initial release
